
package com.jeelowcode.core.framework.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.jeelowcode.core.framework.entity.EnhanceJavaEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeelowcode.framework.global.JeeLowCodeBaseConstant;

/**
 * Java增强相关
 */
@DS(JeeLowCodeBaseConstant.DS_JEELOWCODE)
public interface EnhanceJavaMapper extends BaseMapper<EnhanceJavaEntity> {


    default void delByDbFormId(Long dbFormId){
        QueryWrapper<EnhanceJavaEntity> wrapper = new QueryWrapper();
        wrapper.eq("dbform_id", dbFormId);
        this.delete(wrapper);
    }
}
